
   HANDE

 ================================================================
Version information
-------------------
Version       | v1.6-33-ga03e0ba
Commit hash   | a03e0bad8f01c5df93d2f9601870a9cb6ec4e5e4
Commit author | William Van Benschoten
Commit date   | Tue Aug 1 14:34:30 2023 -0500
Branch        | he/apple_silicon

Configuration and build information
-----------------------------------
Who compiled             | ajwt3
Compilation hostname     | liminal
Operating system         | Linux-5.4.0-204-generic
CMake version            | Not built using CMake
CMake generator          | Not built using CMake
Build type               | debug
Configuration time       | 2025-01-13 17:32:10 [UTC]
Python version           | 3.7.12
Fortran compiler         | mpif90
C compiler               | mpicc
DET_SIZE set to          | 32
POP_SIZE set to          | 64
dSFMT Mersenne exponent  | 19937
MPI parallelization      | ON
MPI launcher             | unknown
OpenMP parallelization   | OFF
Lua version              | unknown
HDF5 library version     | unknown

Further components
------------------
DISABLE_HDF5 not defined.  HDF5 enabled.
DISABLE_UUID not defined.  UUID enabled.
PARALLEL defined.  MPI parallelization enabled.
DISABLE_MPI3 not defined.  MPI-3 functionality enabled.
PARALLEL defined. DISABLE_MPI3 and ENABLE_SHMEM_POSIX not defined. MPI-3 in use.
DISABLE_SCALAPACK not defined.  ScaLAPACK enabled.
SINGLE_PRECISION not defined.  Double precision used throughout.
USE_POPCNT not defined. Internal POPCNT procedure used.

Runtime information
-------------------
Hostname:
    liminal
Current working dir:
    /home/ajwt3/code/HANDEgithub/test_suite/fci/H2-RHF-cc-pVTZ-Lz_davidson
Started running on 13/01/2025 at 17:33:30
 Calculation UUID: 2fb5c441-b524-4035-8920-b20d7a590ee6.
 ================================================================

 Input options
 -------------

sys = read_in {
    int_file = "FCIDUMP",
    nel = 2,
    ms = 0,
    sym = 0,
    Lz = true,
}

fci {
    sys = sys,
    reference = {
        ex_level = 2,
    },
    davidson = {
        using_davidson = true,
        ndavidson_eigv = 4,
        ndavidson_trialvec = 8,
        davidson_maxsize = 50,
        davidson_tol = 1e-14,
        davidson_maxiter = 200,
    },
}

 -------------

 Memory required for all two body integrals (MB) on each processor: 0
 It is left to the user to ensure that this does not exceed available resources.

 Basis functions
 ---------------

 Spin given in units of 1/2.

 index  spatial symmetry sym_index lz     ms       <i|f|i>
     1      1      12       1       0       1       -5.26297794E-01
     2      1      12       2       0      -1       -5.26297794E-01
     3      2      13       1       0       1        1.24523146E-01
     4      2      13       2       0      -1        1.24523146E-01
     5      3      12       3       0       1        3.28279542E-01
     6      3      12       4       0      -1        3.28279542E-01
     7      4      13       3       0       1        5.46482645E-01
     8      4      13       4       0      -1        5.46482645E-01
     9      5      11       1      -1       1        6.71617799E-01
    10      5      11       2      -1      -1        6.71617799E-01
    11      6      15       1       1       1        6.71617799E-01
    12      6      15       2       1      -1        6.71617799E-01
    13      7      12       5       0       1        1.00765634E+00
    14      7      12       6       0      -1        1.00765634E+00
    15      8      10       1      -1       1        1.06291512E+00
    16      8      10       2      -1      -1        1.06291512E+00
    17      9      14       1       1       1        1.06291512E+00
    18      9      14       2       1      -1        1.06291512E+00
    19     10      13       5       0       1        1.47521957E+00
    20     10      13       6       0      -1        1.47521957E+00
    21     11      12       7       0       1        2.52098096E+00
    22     11      12       8       0      -1        2.52098096E+00
    23     12      13       7       0       1        2.59608899E+00
    24     12      13       8       0      -1        2.59608899E+00
    25     13       8       1      -2       1        3.20668429E+00
    26     13       8       2      -2      -1        3.20668429E+00
    27     14      16       1       2       1        3.20668429E+00
    28     14      16       2       2      -1        3.20668429E+00
    29     15      11       3      -1       1        3.22623933E+00
    30     15      11       4      -1      -1        3.22623933E+00
    31     16      15       3       1       1        3.22623933E+00
    32     16      15       4       1      -1        3.22623933E+00
    33     17      12       9       0       1        3.45766163E+00
    34     17      12      10       0      -1        3.45766163E+00
    35     18       9       1      -2       1        3.82272939E+00
    36     18       9       2      -2      -1        3.82272939E+00
    37     19      17       1       2       1        3.82272939E+00
    38     19      17       2       2      -1        3.82272939E+00
    39     20      11       5      -1       1        3.94272922E+00
    40     20      11       6      -1      -1        3.94272922E+00
    41     21      15       5       1       1        3.94272922E+00
    42     21      15       6       1      -1        3.94272922E+00
    43     22      10       3      -1       1        4.00299934E+00
    44     22      10       4      -1      -1        4.00299934E+00
    45     23      14       3       1       1        4.00299934E+00
    46     23      14       4       1      -1        4.00299934E+00
    47     24      13       9       0       1        4.09302490E+00
    48     24      13      10       0      -1        4.09302490E+00
    49     25      10       5      -1       1        4.90997320E+00
    50     25      10       6      -1      -1        4.90997320E+00
    51     26      14       5       1       1        4.90997320E+00
    52     26      14       6       1      -1        4.90997320E+00
    53     27      12      11       0       1        4.97664716E+00
    54     27      12      12       0      -1        4.97664716E+00
    55     28      13      11       0       1        6.22542571E+00
    56     28      13      12       0      -1        6.22542571E+00

 E_core =    0.529177210264
 Number of electrons: 2
 Number of basis functions: 56

 Bit-length of integers used to store determinant bit-strings: 32
 Number of integers used to store determinant bit-strings: 2

 Symmetry information
 --------------------

 Number of point group symmetries: 2
 Maximum Lz found: 2
 Lz offset (corresponds to Lz=0): 12
 Totally symmetric symmetry: 12
 The matrix below gives the direct products of the irreducible representations.

  4  5  6  7  8  9 10 11 12 13
  5  4  7  6  9  8 11 10 13 12
  6  7  8  9 10 11 12 13 14 15
  7  6  9  8 11 10 13 12 15 14
  8  9 10 11 12 13 14 15 16 17
  9  8 11 10 13 12 15 14 17 16
 10 11 12 13 14 15 16 17 18 19
 11 10 13 12 15 14 17 16 19 18
 12 13 14 15 16 17 18 19 20 21
 13 12 15 14 17 16 19 18 21 20

 The table below gives the number of basis functions spanning each irreducible representation.

 irrep  Lz   sym  nbasis  nbasis_up  nbasis_down
   8    -2    0      2       1          1
   9    -2    1      2       1          1
  10    -1    0      6       3          3
  11    -1    1      6       3          3
  12     0    0     12       6          6
  13     0    1     12       6          6
  14     1    0      6       3          3
  15     1    1      6       3          3
  16     2    0      2       1          1
  17     2    1      2       1          1

 FCI
 ---

 -- Start JSON block --
 {
     "system": {
         "nbasis": 56,   
         "nel": 2,   
         "nvirt": 54,   
         "Ms": 0,   
         "nalpha": 1,   
         "nbeta": 1,   
         "nvirt_alpha": 27,   
         "nvirt_beta": 27,   
         "nsym": 9,   
         "sym0": 8,   
         "sym_max": 17,   
         "nsym_tot": 26,   
         "sym0_tot": 0,   
         "sym_max_tot": 25,   
         "symmetry": 12,   
         "tot_sym": false,   
         "aufbau_sym": false,   
         "max_number_excitations": 2,   
         "read_in": {
             "int_file":  "FCIDUMP",   
             "uhf": false,   
             "Ecore": 0.52917721,   
             "CAS": [ -1, -1],
             "useLz": true,   
             "complex": false    
         }
     },
     "fci_in": {
         "write_hamiltonian": false,   
         "hamiltonian_file":  "HAMIL",   
         "write_determinants": false,   
         "determinant_file":  "DETS",   
         "print_fci_wfn": 0,   
         "print_fci_wfn_file":  "FCI_WFN",   
         "analyse_fci_wfn": 0,   
         "block_size": 64,   
         "ndavidson_eigv": 4,   
         "ndavidson_trialvec": 8,   
         "davidson_maxsize": 50,   
         "davidson_tol": 0.00000000,   
         "hamiltonian_diagonal_only": false,   
     },
     "reference": {
         "ex_level": 2    
     }
 }
 -- End JSON block --

 The table below gives the number of determinants for each symmetry with Ms=0.

 Symmetry index      # dets
         0                0
         1                0
         2                0
         3                0
         4                2
         5                2
         6               12
         7               12
         8               42
         9               42
        10               84
        11               84
        12              112
        13              112
        14               84
        15               84
        16               42
        17               42
        18               12
        19               12
        20                2
        21                2
        22                0
        23                0
        24                0
        25                0

 Performing Davidson diagonalisation...

 Davidson initialisation done!
 Time taken for Davidson initialisation 0.000100 s
 
 Iteration   Basis size    delta rmsE      Time  
         1            8   1.279287E+00    0.278100
         2           16   4.035889E-01    0.000500
         3           24   3.571042E-02    0.000400
         4           32   1.505639E-02    0.000400
         5           40   1.127360E-02    0.044200
         6           48   4.154376E-03    0.002400
 Collapsing subspace...
         7            8   3.589387E-15    0.000200
         8           16   1.910264E-03    0.000200
         9           24   4.463168E-04    0.000300
        10           32   1.155592E-04    0.000400
        11           40   2.825781E-05    0.000700
        12           48   6.982884E-06    0.000800
 Collapsing subspace...
        13            8   5.031956E-15    0.000100
        14           16   1.253481E-06    0.000200
        15           24   6.081517E-07    0.000300
        16           32   2.122679E-07    0.000400
        17           40   6.705586E-08    0.000600
        18           48   2.496507E-08    0.000900
 Collapsing subspace...
        19            8   4.497774E-15    0.000100
        20           16   6.300068E-09    0.000200
        21           24   2.063464E-09    0.000200
        22           32   7.819654E-10    0.000400
        23           40   2.682836E-10    0.000700
        24           48   1.134005E-10    0.000800
 Collapsing subspace...
        25            8   1.986803E-15    0.000100
        26           16   2.479705E-11    0.000200
        27           24   8.199489E-12    0.000200
        28           32   3.075607E-12    0.000500
        29           40   1.496427E-12    0.000600
        30           48   5.564908E-13    0.000800
 Collapsing subspace...
        31            8   3.523100E-15    0.000100
        32           16   1.183845E-13    0.000200
        33           24   3.765768E-14    0.000300
        34           32   1.353482E-14    0.000400
        35           40   6.577544E-15    0.000600
 Eigenvalue tolerance of 1.0000E-14 reached, printing results...
 Davidson diagonalisation results
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

  State     Energy
      1    -1.145758846665
      2    -0.622330308365
      3    -0.538417004463
      4    -0.365633764501

 Timing breakdown
 ----------------

 Wall time for each calculation section (seconds):

 Generic system initialisation: .06
 FCI calculation              : .05

 ================================================================
 Finished running on 13/01/2025 at 17:33:30
 Wall time (seconds):                               0.42
 CPU time (per processor, seconds):                 0.11
 ================================================================

